package com.seer.teach.pay.admin.refund.convert;


import com.seer.teach.pay.admin.refund.controller.resp.AdminRefundResponse;
import com.seer.teach.pay.admin.refund.controller.resp.WechatRefundResp;
import com.seer.teach.pay.api.wallet.dto.WechatRefundRespDTO;
import com.seer.teach.pay.entity.CoinRefundEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface AdminCoinRefundConvert {

    AdminCoinRefundConvert INSTANCE = Mappers.getMapper(AdminCoinRefundConvert.class);

    AdminRefundResponse convertOne(CoinRefundEntity refundEntity);

    List<AdminRefundResponse> convertList(List<CoinRefundEntity> list);

    WechatRefundResp convertOne(WechatRefundRespDTO refundResponse);
}
